> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loadforge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Library

> Get a library by ID

Fetch a library by ID. Returns 404 if not found.


## OpenAPI

````yaml GET /library/{id}
openapi: 3.1.0
info:
  title: LoadForge API
  description: >-
    The LoadForge API provides programmatic access to create, manage, and run
    load tests on your web applications
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://app.loadforge.com/api/v2
security:
  - bearerAuth: []
paths:
  /library/{id}:
    get:
      description: Get a library by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamLibrary'
        '403':
          description: Insufficient scope
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: No matching library found
components:
  schemas:
    TeamLibrary:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        name:
          type: string
          description: Must end with .py
        filename:
          type: string
          description: Internal stored filename
        path:
          type: string
          description: S3 key
        size:
          type: integer
          description: Size in bytes
        mime_type:
          type: string
          example: text/x-python
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````